Package org.jfree.report.flow.raw

# Class XmlPrintReportTarget

java.lang.Object
org.jfree.report.flow.raw.XmlPrintReportTarget

All Implemented Interfaces:
  `ReportTarget`

public class XmlPrintReportTarget extends Object implements ReportTarget
Todo: Document me!

Since:
  20.03.2007
Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`XmlPrintReportTarget(ReportJob job, org.pentaho.reporting.libraries.xmlns.writer.XmlWriter writer)`

## Method Summary

Modifier and Type
Method
Description
`protected org.pentaho.reporting.libraries.xmlns.common.AttributeList`
`buildAttributeList(org.jfree.layouting.util.AttributeMap attrs)`
`void`
`commit()`
`void`
`endElement(org.jfree.layouting.util.AttributeMap attrs)`
`void`
`endReport(ReportStructureRoot report)`
`String`
`getExportDescriptor()`
`org.jfree.layouting.namespace.NamespaceDefinition`
`getNamespaceByUri(String uri)`
`ReportJob`
`getReportJob()`
`void`
`processContent(DataFlags value)`
`void`
`processText(String text)`
`void`
`startElement(org.jfree.layouting.util.AttributeMap attrs)`
`void`
`startReport(ReportStructureRoot report)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlPrintReportTarget

public XmlPrintReportTarget(ReportJob job, org.pentaho.reporting.libraries.xmlns.writer.XmlWriter writer)

## Method Details

### getReportJob

public ReportJob getReportJob()

### startReport

public void startReport(ReportStructureRoot report) throws DataSourceException, ReportProcessingException

Specified by:
  `startReport` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### startElement

public void startElement(org.jfree.layouting.util.AttributeMap attrs) throws DataSourceException, ReportProcessingException

Specified by:
  `startElement` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### processContent

public void processContent(DataFlags value) throws DataSourceException, ReportProcessingException

Specified by:
  `processContent` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### endElement

public void endElement(org.jfree.layouting.util.AttributeMap attrs) throws DataSourceException, ReportProcessingException

Specified by:
  `endElement` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### endReport

public void endReport(ReportStructureRoot report) throws DataSourceException, ReportProcessingException

Specified by:
  `endReport` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### getNamespaceByUri

public org.jfree.layouting.namespace.NamespaceDefinition getNamespaceByUri(String uri)

Specified by:
  `getNamespaceByUri` in interface `ReportTarget`

### processText

public void processText(String text) throws DataSourceException, ReportProcessingException

Specified by:
  `processText` in interface `ReportTarget`
Throws:
  `DataSourceException`
  `ReportProcessingException`

### commit

public void commit() throws ReportProcessingException

Specified by:
  `commit` in interface `ReportTarget`
Throws:
  `ReportProcessingException`

### getExportDescriptor

public String getExportDescriptor()

Specified by:
  `getExportDescriptor` in interface `ReportTarget`

### buildAttributeList

protected org.pentaho.reporting.libraries.xmlns.common.AttributeList buildAttributeList(org.jfree.layouting.util.AttributeMap attrs)